Atlassian IDE Connectors : Installation Error - Cannot Find a Solution Satisfying the Following Requirements

Symptoms

During installation you may receive an error message similar to one of these:

  • Missing requirement: Atlassian JIRA Connector (Recommended) 3.2.2.v20130909 (com.atlassian.connector.eclipse.jira.feature.group 3.2.2.v20130909) requires 'org.eclipse.mylyn.commons.soap [3.2.0,4.0.0)' but it could not be found

  • Cannot find a solution where both Match[requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.1.v3449c,3.4.1.v3449c! and Match[requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.swt/[3.4.0.v3448f,3.4.0.v3448f! can be satisfied.
    Unsatisfied dependency: [org.eclipse.mylyn.commons.soap 3.1.0.I20090109-0100-e3x] requiredCapability: osgi.bundle/org.eclipse.mylyn.commons.net/[3.1.0,4.0.0)

  • Cannot complete the request. See the details.
    Cannot find a solution satisfying the following requirements org.eclipse.pde.feature.jar [3.4.0.v20080603-7T7U-E_EkMNrNKb39WcMC].

  • Cannot complete the install because one or more required items could not be found.
    Software being installed: Atlassian Connector for Eclipse (recommended) 1.1.0.v20090624 (com.atlassian.connector.eclipse.feature.group 1.1.0.v20090624)
    Missing requirement: Atlassian Connector for Eclipse (recommended) 1.1.0.v20090624 (com.atlassian.connector.eclipse.feature.group 1.1.0.v20090624) requires 'org.eclipse.mylyn.jira_feature.feature.group [3.2.0.I20090529,3.3.0)' but it could not be found

Cause

This is most likely an error from P2 (Eclipse's update mechanism in Eclipse 3.4 and higher). The problem seems to be that the Mylyn update site is not enabled or does not exist in your copy of Eclipse even though we specify that we require it for installation.

If any of the installed features have unsatisfied dependencies, P2 may fail with an error similar to the one above.

Resolution

Follow these steps to enable/add the required update site:

  1. In Eclipse, open 'Help', 'Software Updates'.
  2. Click the 'Available Software' tab.
  3. Click 'Manage Sites'.
  4. Look for either the 'Mylyn' update site or a URL that looks like this:

    http://archive.eclipse.org/mylyn/drops/3.8.4/v20130429-0100
  5. Make sure that the site or URL is checked or add it if not present.
  6. Try to install the Atlassian Connector for Eclipse again.
More Information
Illustration

Here is a screenshot showing an example of one such error message:

RELATED PAGES

Installing the Eclipse Connector

Attachments: